Trigger file's rename rule
curl --request POST \
--url https://app.herondata.io/api/end_user_files/{heron_id}/trigger_rename \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_user_files/{heron_id}/trigger_rename"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_user_files/{heron_id}/trigger_rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}EndUserFiles
Trigger file's rename rule
POST
/
api
/
end_user_files
/
{heron_id}
/
trigger_rename
Trigger file's rename rule
Authorizations
Path Parameters
The file's heron_id - starting with euf_
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Get parsed results from uploaded filesTrigger splitting a combined end user file into its child files based on its page_classes
⌘I